Note: This is a public test instance of Red Hat Bugzilla. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback at bugzilla.redhat.com.
Bug 906593 - If configured to run on AC with lid closed, ignores later loss of AC [NEEDINFO]
Summary: If configured to run on AC with lid closed, ignores later loss of AC
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: xfce4-power-manager
Version: 20
Hardware: Unspecified
OS: Linux
unspecified
medium
Target Milestone: ---
Assignee: Christoph Wickert
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2013-01-31 23:54 UTC by John Morris
Modified: 2015-02-12 02:37 UTC (History)
6 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of: 770734
Environment:
Last Closed: 2015-02-12 02:37:37 UTC
Type: ---
nonamedotc: needinfo? (jmorris)


Attachments (Terms of Use)

Description John Morris 2013-01-31 23:54:31 UTC
+++ This bug was initially created as a clone of Bug #770734 +++

If you are on AC and close the lid it won't suspend, which is correct if that is how you configured power manager..  What is wrong is that if you then yank the AC it stays awake until you open the lid and reclose it while running on battery.  Somebody is going to shake and bake their laptop when they fail to notice what is happening and stick a running laptop into a bag and toss it in the car.

Comment 1 John Morris 2013-04-25 02:34:54 UTC
Have updated to Fedora 18 and this one is still a problem so am changing the bug.

Comment 2 Fedora End Of Life 2013-12-21 11:03:09 UTC
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 3 Mukundan Ragavan 2014-06-13 23:30:59 UTC
Hi John, could you please try this build of xfce4-power-manager and see if it solves the issue described?

http://copr-be.cloud.fedoraproject.org/results/nonamedotc/xfce411/fedora-20-x86_64/xfce4-power-manager-1.3.0-1.fc20/xfce4-power-manager-1.3.0-1.fc20.x86_64.rpm

Comment 4 Mukundan Ragavan 2014-07-15 01:05:50 UTC
Just a ping here - Could you please test this? Thanks.

Comment 5 Fedora Update System 2014-10-02 03:13:54 UTC
xfce4-power-manager-1.4.1-3.fc21 has been submitted as an update for Fedora 21.
https://admin.fedoraproject.org/updates/xfce4-power-manager-1.4.1-3.fc21

Comment 6 Fedora Update System 2014-10-10 16:09:32 UTC
xfce4-power-manager-1.4.1-3.fc21 has been pushed to the Fedora 21 stable repository.  If problems still persist, please make note of it in this bug report.

Comment 7 Mukundan Ragavan 2015-02-12 02:37:37 UTC
Closing.

Please feel free to reopen the report if the bug persists.


Note You need to log in before you can comment on or make changes to this bug.